// SampleDoc.h : interface of the CSampleDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SAMPLEDOC_H__9E9A1EE6_A6B8_4D19_BDA2_B87CAE1C61D1__INCLUDED_)
#define AFX_SAMPLEDOC_H__9E9A1EE6_A6B8_4D19_BDA2_B87CAE1C61D1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PtAPI.h"
class CSampleDoc : public CDocument
{
protected: // create from serialization only
    CSampleDoc();
    DECLARE_DYNCREATE(CSampleDoc)

// Attributes
public:
    PTIMAGE            m_image;
    float              m_scale;
// Operations
public:

// Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CSampleDoc)
    public:
    virtual BOOL OnNewDocument();
    virtual void Serialize(CArchive& ar);
    virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
    //}}AFX_VIRTUAL

// Implementation
public:
    virtual ~CSampleDoc();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

protected:
    void ShowBarCodeInfo( PTTOTALBARCODEINFO*  pBarCodeInfo ) ;


// Generated message map functions
protected:
    //{{AFX_MSG(CSampleDoc)
    afx_msg void OnActionDecodePdf417();
    afx_msg void OnUpdateActionDecodePdf417(CCmdUI* pCmdUI);
    afx_msg void OnActionDecodeQrcode();
    afx_msg void OnUpdateActionDecodeQrcode(CCmdUI* pCmdUI);
	afx_msg void OnActionDecodeDatamatrix();
	afx_msg void OnUpdateActionDecodeDatamatrix(CCmdUI* pCmdUI);
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SAMPLEDOC_H__9E9A1EE6_A6B8_4D19_BDA2_B87CAE1C61D1__INCLUDED_)
